<?php
	error_reporting (E_ALL|E_STRICT);
	
	require '../tmp/sql.php';
	require '../classes/mysql.php';
	require '../classes/settings.php';
	require '../classes/security.php';
	require '../classes/functions.php';
	require '../classes/session.php';
	require '../classes/login.php';
	require '../classes/template.php';
	require '../classes/player.php';
	require '../classes/stats.php';
	require '../classes/signatures.php';
	
	
	// Navigation
	echo '<a href="support.php?info">PHP-Info</a><br/>';
	echo '<a href="support.php?more">Settings</a><br/>';
	echo '<a href="support.php?playerlist">Player List</a><br/>';
	echo '<a href="support.php?rankicons">Rank Icons</a><br/>';
	echo '<a href="support.php?curl">cURL Test</a><br/>';
	echo 'Local Stats: <a href="support.php?localstats&amp;stats">stats</a> <a href="support.php?localstats&amp;player">player</a> <a href="support.php?localstats&amp;basic">basic</a> <a href="support.php?localstats&amp;weapons">weapons</a> <a href="support.php?localstats&amp;weaponCategory">weaponCategory</a> <a href="support.php?localstats&amp;vehicles">vehicles</a> <a href="support.php?localstats&amp;vehicleCategory">vehicleCategory</a> <a href="support.php?localstats&amp;rankings">rankings</a> <a href="support.php?localstats&amp;assignments">assignments</a> <a href="support.php?localstats&amp;kits">kits</a> <a href="support.php?localstats&amp;kititems">kititems</a> <a href="support.php?localstats&amp;dogtags">dogtags</a><br/>';
	echo '<a href="support.php?apistats">API Stats</a><br/>';
	echo '<a href="support.php?signatures">Signature Test</a><br/>';
	echo '<a href="support.php?platoons">Platoons</a><br/>';
	echo '<a href="support.php?compare">Compare-Menu</a><br/>';
	echo '<a href="support.php?weaponinfo">Weapon Informations</a><br/>';
	echo '<a href="support.php?vehicleinfo">Vehicle Informations</a><br/>';
	echo '<br/><br/><br/>';
	
	
	// PHP-Info
	if (isset($_GET['info'])) {
		die(phpinfo());
	}
	
	
	// Settings
	if (isset($_GET['more'])) {
		$sql = new MySQL();
		date_default_timezone_set('Europe/Paris');
		
		$sql->query('
			SELECT *
			FROM '.$sql->prefix.'settings
			ORDER BY name ASC
		');
		
		echo "<table><tbody>";
		
		while ($row = $sql->fetchAssoc()) {
			echo "<tr>";
			echo "<td>".$row['name']."<td>";
			
			if ($row['name'] == "update_date_last_refresh") {
				echo "<td>".date("d.m.Y - H:i", $row['value'])."</td>";
			} else {
				echo "<td>".$row['value']."</td>";
			}
			
			echo "</tr>";
		}
		
		echo "</tbody></table>";
		die();
	}
	
	
	// cURL-Test
	if (isset($_GET['curl'])) {
		// BFHSTATS-API
		$get = Array(
			'plat' => 'pc',
			'name' => 'ezzemm',
			'output' => 'json',
			'opt' => ''
		);
		
		$c=curl_init('http://api.bfhstats.com/api/playerInfo?plat='.$get['plat'].'&name='.$get['name'].'&opt='.$get['opt'].'&output=json');
		curl_setopt($c,CURLOPT_HEADER,false);
		curl_setopt($c,CURLOPT_CONNECTTIMEOUT, 5); 
		curl_setopt($c,CURLOPT_HTTPHEADER,array('Expect:'));
		curl_setopt($c,CURLOPT_RETURNTRANSFER,true);
		
		$result = curl_exec($c);
		$status = curl_getinfo($c,CURLINFO_HTTP_CODE); $error = curl_error($c); $errno = curl_errno($c);
		curl_close($c);
		
		echo "<br><br>BFHSTATS:<br>Status: $status<br>Error: $error ($errno)<br>Result: $result";
		
		
		// EZSTATS
		$c=curl_init('http://curl.ezstats.org/?version&game=bfh');
		curl_setopt($c, CURLOPT_RETURNTRANSFER, true);
		
		$result = json_decode(curl_exec($c));
		$status = curl_getinfo($c,CURLINFO_HTTP_CODE); $error = curl_error($c); $errno = curl_errno($c);
		curl_close($c);
		
		echo "<br><br>EZSTATS:<br>Status: $status<br>Error: $error ($errno)<br>Result: $result";
		
		
		// THIS PAGE
		$settings = new Settings();
		$c=curl_init($settings->get('properties_path').'/admin/support.php');
		curl_setopt($c,CURLOPT_RETURNTRANSFER,true);
		
		$result = curl_exec($c);
		$status = curl_getinfo($c,CURLINFO_HTTP_CODE); $error = curl_error($c); $errno = curl_errno($c);
		curl_close($c);
		
		echo "<br><br>THIS PAGE:<br>Status: $status<br>Error: $error ($errno)<br>Result: $result";
		
		die();
	}
	
	
	// Spielerliste
	if (isset($_GET['playerlist'])) {
		$sql = new MySQL();
		date_default_timezone_set('Europe/Paris');
		
		$sql->query('
			SELECT * 
			FROM '.$sql->prefix.'stats__basic b
			LEFT JOIN '.$sql->prefix.'player p
				ON p.id = b.id
			ORDER BY 
				p.id
		');
		
		echo "<pre>";
		
		while ($player = $sql->fetchRow()) {
			$result = Array(
				'ID' => $player['id'],
				'Name' => $player['name'],
				'Platform' => $player['platform'],
				'LB Update' => date("d.m.Y - H:i", $player['date_stats_update']),
				'API Check' => date("d.m.Y - H:i", $player['dateCheck']),
				'API Update' => date("d.m.Y - H:i", $player['dateUpdate']),
				'API State' => $player['api_player_status']
			);
			
			print_r($result);
		}
	}
	
	
	// Rank-Icons
	if (isset($_GET['rankicons'])) {
		$func = new Functions();
		echo '<a href="http://eaassets-a.akamaihd.net/battlelog/bb/bfh/gamedata/rank/medium-05b0d1a4.png">Rank-Icon Download</a><br/><br/><br/>';
		echo "<table>";
		
		for ($i = 0; $i < 151; $i++) {
			echo '<tr><td>'.$i.'</td>';
			echo '<td>'.$func->rank_image($i, '../', true).'</td>';
			echo '</tr>';
		}
	}
	
	
	// Abruf der lokalen Statsdaten
	if (isset($_GET['localstats'])) {
		echo "<pre>";
		$stats = new Stats(1);
		
		if (isset($_GET['stats'])) {
			$result = $stats->get('stats');
			print_r($result);
		}
		
		if (isset($_GET['player'])) {
			$result = $stats->get('player');
			print_r($result);
		}
		
		if (isset($_GET['basic'])) {
			$result = $stats->get('basic');
			print_r($result);
		}
		
		if (isset($_GET['weapons'])) {
			$result = $stats->get('weapons');
			print_r($result);
		}
		
		if (isset($_GET['weaponCategory'])) {
			$result = $stats->get('weaponCategory');
			$a = Array();
			foreach ($result as $v) {
				$a[] = $v->name;
				//echo "'".$v->name."' => 0, ";
			}
			//print_r(array_unique($a));
			
			
			print_r($result);
		}
		
		if (isset($_GET['vehicles'])) {
			$result = $stats->get('vehicles');
			print_r($result);
		}
		
		if (isset($_GET['vehicleCategory'])) {
			$result = $stats->get('vehicleCategory');
			$a = Array();
			foreach ($result as $v) {
				$a[] = $v->name;
			}
			//print_r(array_unique($a));
			print_r($result);
		}
		
		if (isset($_GET['rankings'])) {
			$result = $stats->get('rankings');
			print_r($result);
		}
		
		if (isset($_GET['assignments'])) {
			$result = $stats->get('assignments');
			$a = Array();
			$b = Array();
			foreach ($result as $v) {
				$a[] = $v->category;
				//echo "$v->id - $v->category <br>";
				
				if ($v->category == "licenses") {
					$b[] = $v->image; 
				}
			}
			asort($b);
			print_r($b);
			
			print_r(array_unique($a));
			print_r($result);
		}
		
		if (isset($_GET['kits'])) {
			$result = $stats->get('stats', 'kits');
			print_r($result);
		}
		
		if (isset($_GET['dogtags'])) {
			$result = $stats->get('dogtags');
			print_r($result);
		}
	}
	
	
	// Stats-Abfrage bei BF4Stats
	if (isset($_GET['apistats'])) {
		echo "<pre>";
		$get = Array(
			'plat' => 'pc',
			'name' => urlencode('ezzemm'),
			'output' => 'json'		);
		
		$c=curl_init('http://api.bfhstats.com/api/playerInfo?plat='.$get['plat'].'&name='.$get['name'].'&output=json');
		curl_setopt($c,CURLOPT_HEADER,false);
		curl_setopt($c,CURLOPT_CONNECTTIMEOUT, 5); 
		curl_setopt($c,CURLOPT_HTTPHEADER,array('Expect:'));
		curl_setopt($c,CURLOPT_RETURNTRANSFER,true);
		$result = json_decode(curl_exec($c));
		$statuscode = curl_getinfo($c,CURLINFO_HTTP_CODE);
		
		echo "<br/><br/><br/>";
		print_r(curl_exec($c));
		echo "<br/><br/><br/>";
		print_r($statuscode);
		echo "<br/><br/><br/>";
		print_r($result);
		
		curl_close($c);
	}
	
	
	// Abruf eines Objekts mit Platoon-Mitgliedern
	if (isset($_GET['platoons'])) {
		echo "<pre>";
		
		//$c=curl_init('http://battlelog.battlefield.com/bf4/user/ezzemm');
		//$c=curl_init('http://battlelog.battlefield.com/bf4/warsawawardspopulate/195803663/1/');
		$c=curl_init('http://battlelog.battlefield.com/bfh/platoons/members/7427047521505481957/');
		//$c=curl_init('http://battlelog.battlefield.com/bf3/platoon/1/listmembers/');
		curl_setopt($c,CURLOPT_HEADER,false);
		curl_setopt($c,CURLOPT_HTTPHEADER,array('X-AjaxNavigation: 1'));
		curl_setopt($c,CURLOPT_RETURNTRANSFER,true);
		$result = json_decode(curl_exec($c));
		curl_close($c);
		
		//$platoon_name = $result->context->platoon->name;
		//echo $platoon_name."<br/><br/><br/>";
		
		//$result = $result->context->listMembers;
		print_r($result->context->club);
	}
	
	
	// Listen-Generierung fr Compare-Menu
	if (isset($_GET['compare'])) {
		echo "<pre>";
		
		$stats = new Stats(1);
		$weapons = $stats->get('vehicles');
		$cats = Array();
		
		foreach ($weapons as $key => $weapon) {
			$cats[] = $weapon->detail->category;
		}
		
		$cats = array_unique($cats);
		sort($cats);
		print_r($cats);
		echo "<br><br><br><br>";
		foreach ($weapons as $key => $weapon) {
			if ($weapon->detail->category == "Weapon Stationary AA") 
				echo '&lt;li&gt;&lt;a href="compare.php?weapon='.$weapon->detail->id.'">'.$weapon->name.'&lt;/a&gt;&lt;/li&gt;<br>';
		}
		echo '&lt;li&gt;&lt;/li&gt;<br>';
	}
	
	
	// Waffen-Test
	if (isset($_GET['weaponinfo'])) {
		echo "<pre>";
		$a = Array();
		$stats = new Stats(1);
		$result = $stats->get('weapons');
		
		foreach ($result as $w) {
			$a[$w->detail->id] = Array(
				'name' => $w->name,
				'img' => $w->detail->image,
				'type' => $w->detail->type
			);
		}
		print_r(json_encode($a));
		echo "<br/>#";
	}
	
	
	// Fahrzeug-Test
	if (isset($_GET['vehicleinfo'])) {
		echo "<pre>";
		$a = Array();
		$stats = new Stats(1);
		$result = $stats->get('vehicles');
		
		foreach ($result as $v) {
			$a[$v->detail->id] = Array(
				'name' => $v->name,
				'img' => $v->detail->image,
				'type' => $v->detail->category
			);
		}
		print_r(json_encode($a));
		echo "<br/>#";
	}
	
	
	// Signaturen-Test
	if (isset($_GET['signatures'])) {
		echo "<pre>";
		
		$sig = new Signatures(1);
		echo $sig->create_signature().'<br/><br/>';
		echo '<img src="../signatures/1_min.png" /><br/><br/>';
		echo '<img src="../signatures/1_med.png" /><br/><br/>';
		echo '<img src="../signatures/1_max.png" /><br/><br/>';
		echo '<img src="../signatures/1_x01.png" /><br/><br/>';
	}
	
	
?>